/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class SubContractorResponse {
    public coreId: string;

    public version: number;

    public internalId: string;

    public name: string;

    public color: string;

    public logo: string;

    public fields: string;

    public meta: object;

    /**
     * Creates a SubContractorResponse.
     *
     * @param {string} coreId
     * @param {number} version
     * @param {string} internalId
     * @param {string} name
     * @param {string} color
     * @param {string} logo
     * @param {string} fields
     * @param {object} meta
     */
    constructor(coreId: string, version: number, internalId: string, name: string, color: string, logo: string, fields: string, meta: object) {
        this.coreId = coreId;
        this.version = version;
        this.internalId = internalId;
        this.name = name;
        this.color = color;
        this.logo = logo;
        this.fields = fields;
        this.meta = meta;
    }
}
